Bug 155297 - audio/akode*: fails to fetch distfile from MASTER_SITE_GENTOO
Summary: audio/akode*: fails to fetch distfile from MASTER_SITE_GENTOO
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-05 18:40 UTC by Scot Hetzel
Modified: 2011-07-13 22:20 UTC (History)
0 users

See Also:


Attachments
file.diff (10.42 KB, patch)
2011-03-05 18:40 UTC, Scot Hetzel
no flags Details | Diff
patch_audio-akobe.diff (7.87 KB, patch)
2011-07-10 17:24 UTC, Frank J. Laszlo
no flags Details | Diff
akode.diff.txt (9.87 KB, text/plain; charset=US-ASCII)
2011-07-10 23:11 UTC, Scot Hetzel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scot Hetzel 2011-03-05 18:40:11 UTC
I had received a report that the audio/akode-plugins-pulseaudio was no longer able to fetch it's distfiles:

http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/a.8-exp.20090507142441/akode-plugins-pulseaudio-2.0.2_4.log

Upon further review of the error logs on pointyhat, all the akode ports are affected:

audio/akode
audio/akode-plugins-ffmpeg
audio/akode-plugins-jack
audio/akode-plugins-mpc
audio/akode-plugins-mpeg
audio/akode-plugins-oss
audio/akode-plugins-pulseaudio
audio/akode-plugins-resampler
audio/akode-plugins-xiph

The problem is that the MASTER_SITE_GENTOO sites no longer carry the distfile.

Fix: The attached patch changes MASTER_SITE_GENTOO to MASTER_SITE_OPENBSD and 3 additional sites.

Patch attached with submission follows:
How-To-Repeat: Try to install one of the above akode* ports.
Comment 1 Edwin Groothuis freebsd_committer 2011-03-05 18:40:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Max Brazhnikov freebsd_committer 2011-07-07 21:06:01 UTC
Responsible Changed
From-To: kde->freebsd-ports-bugs

kde@ does not maintain Qt3/KDE3 ports anymore
Comment 3 Scot Hetzel 2011-07-10 15:41:12 UTC
Could someone commit this patch

If KDE@ doesn't wish to maintain these ports any more, set me as the maintainer

If you find the OpenBSD sites are inappropriate, please remove them.

Thanks,

Scot
Comment 4 Frank J. Laszlo freebsd_committer 2011-07-10 16:43:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->laszlof

I'll take it.
Comment 5 Frank J. Laszlo freebsd_committer 2011-07-10 17:24:09 UTC
Hello,

Here's an updated patch that doesn't rely on other projects mirrors. I 
unfortunately cannot commit this.

Regards,
     Frank Laszlo
Comment 6 Frank J. Laszlo freebsd_committer 2011-07-10 17:29:45 UTC
Responsible Changed
From-To: laszlof->freebsd-ports-bugs

No longer have CVS write access. back to the pool.
Comment 7 Chris Rees freebsd_committer 2011-07-10 19:00:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 8 Chris Rees 2011-07-10 21:01:16 UTC
Oops... Line 20 of akode-plugins-mpc needs an operator!

Several have the incorrect DISTNAME set...

Did you test these???

Thanks for removing the other MASTER_SITES though. I'll commit this when 
the LICENSE stuff comes out of my tinderbox.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 9 Scot Hetzel 2011-07-10 23:11:49 UTC
On Sun, Jul 10, 2011 at 3:01 PM, Chris Rees <chris@bayofrum.net> wrote:
> Oops... Line 20 of akode-plugins-mpc needs an operator!
>
> Several have the incorrect DISTNAME set...
>
> Did you test these???
>
> Thanks for removing the other MASTER_SITES though. I'll commit this when the
> LICENSE stuff comes out of my tinderbox.
>
> Chris
>
Attached is an updated patch that includes Franks MASTER_SITES changes
and has the correct DISTNAME for all ports.

This patch has been compile tested.

Scot
Comment 10 Chris Rees freebsd_committer 2011-07-13 22:14:05 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 11 dfilter service freebsd_committer 2011-07-13 22:14:05 UTC
crees       2011-07-13 21:13:52 UTC

  FreeBSD ports repository

  Modified files:
    audio/akode          Makefile 
    audio/akode-plugins-ffmpeg Makefile 
    audio/akode-plugins-jack Makefile 
    audio/akode-plugins-mpc Makefile 
    audio/akode-plugins-mpeg Makefile 
    audio/akode-plugins-oss Makefile 
    audio/akode-plugins-pulseaudio Makefile 
    audio/akode-plugins-resampler Makefile 
    audio/akode-plugins-xiph Makefile 
  Log:
  - Update MASTER_SITES
  - Pass maintainership to submitter
  
  PR:             ports/155297
  Submitted by:   Scot Hetzel <swhetzel@gmail.com>
  Reviewed by:    "Frank J. Laszlo" <laszlof@freebsd.org>
  Approved by:    rene (mentor, implicit), kde (makc)
  
  Revision  Changes    Path
  1.11      +7 -5      ports/audio/akode-plugins-ffmpeg/Makefile
  1.25      +7 -5      ports/audio/akode-plugins-jack/Makefile
  1.25      +7 -5      ports/audio/akode-plugins-mpc/Makefile
  1.25      +7 -5      ports/audio/akode-plugins-mpeg/Makefile
  1.25      +7 -5      ports/audio/akode-plugins-oss/Makefile
  1.9       +6 -4      ports/audio/akode-plugins-pulseaudio/Makefile
  1.25      +7 -5      ports/audio/akode-plugins-resampler/Makefile
  1.29      +7 -5      ports/audio/akode-plugins-xiph/Makefile
  1.30      +6 -5      ports/audio/akode/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"